/**
 * @(#)SVGPolyPoints.java
 * Copyright 2001 
 * @author  Intelligent Technology Inc.
 * @version 0.00 2001/08/14
 */
package jp.co.iti.fagot.xml;

import	java.util.Vector;
import	java.util.Enumeration;
import	java.awt.geom.Point2D;

/**
 * SVGPolyPoints
 */
public class SVGPolyPoints	extends	Vector	implements	ISVGPolyPoints{
	
	/**
	 * コンストラクタ
	 * @param	none
	 * @return	none
//	 * @exception
//	 * @see
	 * @since	0.00
//	 * @deprecated SVG Style Class
	 */
	
	public SVGPolyPoints(){
		super();
	}
	
	public	void	add(Point2D.Double point){
		add((Object)point);
	}
	
	public	void	add(double x ,double y){
		add(new Point2D.Double(x ,y));
	}
	
	public	String toString(){
		String	s = null;
		Enumeration enum = elements();
		while (enum.hasMoreElements()){
			Point2D.Double point = (Point2D.Double)enum.nextElement();	// 次へ
			if(null == s)	s = point.getX() + XYSEPARATOR + point.getY();
			else	s = s + POINTSEPARATOR + point.getX() + XYSEPARATOR + point.getY();
		}
		
		return(s);
	}
}